Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.monitor
Class ProvisionMonitorEvent

    java.lang.Object
      java.util.EventObject
          net.jini.core.event.RemoteEvent
              org.jini.rio.event.RemoteServiceEvent
                  org.jini.rio.monitor.ProvisionMonitorEvent

All Implemented Interfaces:
  Serializable

    public class ProvisionMonitorEvent

extends RemoteServiceEvent
implements Serializable

This class is used to communicate state changes on OperationalString and ServiceElements contained within OperationalString objects that are being monitored by the ProvisionMonitor. Interested event consumers register for event notification(s) and are notified as state changes occur relative to OperationalString and ServiceElements within OperationalString objects

See Also:
  Serialized Form

Field Summary
`static long` | `ID` Unique Event ID
`static int` | `OPSTRING_DEPLOYED` Indicates that this event has been created and sent as a result of deploying an OperationalString
`static int` | `OPSTRING_MGR_CHANGED` Indicates that this event has been created and sent as a result of changing the primary OperationalStringManager
`static int` | `OPSTRING_UNDEPLOYED` Indicates that this event has been created and sent as a result of undeploying an OperationalString
`static int` | `OPSTRING_UPDATED` Indicates that this event has been created and sent as a result of updating an OperationalString
`static int` | `REDEPLOY_REQUEST` Indicates that this event has been created and sent as a result of submitting a redeployment request
`static int` | `SERVICE_BEAN_DECREMENTED` Indicates that this event has been created and sent as a result of incrementing the number of ServiceBean instances in an OperationalString
`static int` | `SERVICE_BEAN_INCREMENTED` Indicates that this event has been created and sent as a result of incrementing the number of ServiceBean instances in an OperationalString
`static int` | `SERVICE_BEAN_INSTANCE_UPDATED` Indicates that this event has been created and sent as a result of updating a ServiceBeanInstance
`static int` | `SERVICE_ELEMENT_ADDED` Indicates that this event has been created and sent as a result of adding a service to an OperationalString
`static int` | `SERVICE_ELEMENT_REMOVED` Indicates that this event has been created and sent as a result of removing a service from an OperationalString
`static int` | `SERVICE_ELEMENT_UPDATED` Indicates that this event has been created and sent as a result of updating a ServiceElement in an OperationalString
`static int` | `SERVICE_FAILED` Indicates that this event has been created and sent as a result of a service failure
`static int` | `SERVICE_PROVISIONED` Indicates that this event has been created and sent as a result of a succesfull service provisioning
`static int` | `SERVICE_TERMINATED` Indicates that this event has been created and sent as a result of a service termination

Fields inherited from class net.jini.core.event.RemoteEvent
`eventID, handback, seqNum, source`

Constructor Summary
`ProvisionMonitorEvent(Object source, int action, OperationalString opString)` Create a ProvisionMonitorEvent for an OperationalString deployment or undeployment, update or OperationaStringManager change
`ProvisionMonitorEvent(Object source, int action, ServiceElement sElem)` Create a ProvisionMonitorEvent for a ServiceElement add, remove or change notification
`ProvisionMonitorEvent(Object source, int action, String opStringName, ServiceElement sElem, ServiceBeanInstance instance)` Create a ProvisionMonitorEvent indicating a service provision or failure notification
`ProvisionMonitorEvent(Object source, String opStringName, ServiceBeanInstance instance)` Create a ProvisionMonitorEvent indicating a ServiceBeanInstance has been updated
`ProvisionMonitorEvent(Object source, String opStringName, ServiceElement sElem, ServiceBeanInstance instance, Object[] args)` Create a ProvisionMonitorEvent indicating a redeployment request has been submitted

Method Summary
`int` | `getAction()` Get the action attribute
`OperationalString` | `getOperationalString()` Get the OperationalString attribute.
`String` | `getOperationalStringName()` Get the OperationalString name.
`Object[]` | `getRedeploymentParms()` Get the Redeployment parameters
`ServiceBeanInstance` | `getServiceBeanInstance()` Get the ServiceBeanInstance
`ServiceElement` | `getServiceElement()` Get the ServiceElement attribute

Methods inherited from class org.jini.rio.event.RemoteServiceEvent
`setEventID, setHandback, setSequenceNumber`

Methods inherited from class net.jini.core.event.RemoteEvent
`getID, getRegistrationObject, getSequenceNumber`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ID

    public static final long ID

  Unique Event ID

  See Also:
    Constant Field Values

### SERVICE_ELEMENT_UPDATED

    public static final int SERVICE_ELEMENT_UPDATED

  Indicates that this event has been created and sent as a result of updating a ServiceElement in an OperationalString

  See Also:
    Constant Field Values

### SERVICE_BEAN_INCREMENTED

    public static final int SERVICE_BEAN_INCREMENTED

  Indicates that this event has been created and sent as a result of incrementing the number of ServiceBean instances in an OperationalString

  See Also:
    Constant Field Values

### SERVICE_BEAN_DECREMENTED

    public static final int SERVICE_BEAN_DECREMENTED

  Indicates that this event has been created and sent as a result of incrementing the number of ServiceBean instances in an OperationalString

  See Also:
    Constant Field Values

### SERVICE_ELEMENT_ADDED

    public static final int SERVICE_ELEMENT_ADDED

  Indicates that this event has been created and sent as a result of adding a service to an OperationalString

  See Also:
    Constant Field Values

### SERVICE_ELEMENT_REMOVED

    public static final int SERVICE_ELEMENT_REMOVED

  Indicates that this event has been created and sent as a result of removing a service from an OperationalString

  See Also:
    Constant Field Values

### OPSTRING_DEPLOYED

    public static final int OPSTRING_DEPLOYED

  Indicates that this event has been created and sent as a result of deploying an OperationalString

  See Also:
    Constant Field Values

### OPSTRING_UNDEPLOYED

    public static final int OPSTRING_UNDEPLOYED

  Indicates that this event has been created and sent as a result of undeploying an OperationalString

  See Also:
    Constant Field Values

### OPSTRING_UPDATED

    public static final int OPSTRING_UPDATED

  Indicates that this event has been created and sent as a result of updating an OperationalString

  See Also:
    Constant Field Values

### SERVICE_BEAN_INSTANCE_UPDATED

    public static final int SERVICE_BEAN_INSTANCE_UPDATED

  Indicates that this event has been created and sent as a result of updating a ServiceBeanInstance

  See Also:
    Constant Field Values

### REDEPLOY_REQUEST

    public static final int REDEPLOY_REQUEST

  Indicates that this event has been created and sent as a result of submitting a redeployment request

  See Also:
    Constant Field Values

### SERVICE_PROVISIONED

    public static final int SERVICE_PROVISIONED

  Indicates that this event has been created and sent as a result of a succesfull service provisioning

  See Also:
    Constant Field Values

### SERVICE_FAILED

    public static final int SERVICE_FAILED

  Indicates that this event has been created and sent as a result of a service failure

  See Also:
    Constant Field Values

### OPSTRING_MGR_CHANGED

    public static final int OPSTRING_MGR_CHANGED

  Indicates that this event has been created and sent as a result of changing the primary OperationalStringManager

  See Also:
    Constant Field Values

### SERVICE_TERMINATED

    public static final int SERVICE_TERMINATED

  Indicates that this event has been created and sent as a result of a service termination

  See Also:
    Constant Field Values

Constructor Detail

### ProvisionMonitorEvent

    public ProvisionMonitorEvent(Object source,
                                 int action,
                                 ServiceElement sElem)

  Create a ProvisionMonitorEvent for a ServiceElement add, remove or change notification

  Parameters:
    `source` - The source (originator) of the event
    `action` - The type of ProvisionMonitorEvent
    `sElem` - The ServiceElement that changed

### ProvisionMonitorEvent

    public ProvisionMonitorEvent(Object source,
                                 int action,
                                 OperationalString opString)

  Create a ProvisionMonitorEvent for an OperationalString deployment or undeployment, update or OperationaStringManager change

  Parameters:
    `source` - The source (originator) of the event
    `action` - The action the evet represents
    `opString` - The OperationalString undeployed

### ProvisionMonitorEvent

    public ProvisionMonitorEvent(Object source,
                                 String opStringName,
                                 ServiceBeanInstance instance)

  Create a ProvisionMonitorEvent indicating a ServiceBeanInstance has been updated

  Parameters:
    `source` - The source (originator) of the event
    `opStringName` - The name of the OperationalString
    `instance` - The ServiceBeanInstance that changed

### ProvisionMonitorEvent

    public ProvisionMonitorEvent(Object source,
                                 int action,
                                 String opStringName,
                                 ServiceElement sElem,
                                 ServiceBeanInstance instance)

  Create a ProvisionMonitorEvent indicating a service provision or failure notification

  Parameters:
    `source` - The source (originator) of the event
    `action` - The action the evet represents
    `opStringName` - The name of the OperationalString
    `sElem` - The ServiceElement
    `instance` - The ServiceBeanInstance

### ProvisionMonitorEvent

    public ProvisionMonitorEvent(Object source,
                                 String opStringName,
                                 ServiceElement sElem,
                                 ServiceBeanInstance instance,
                                 Object[] args)

  Create a ProvisionMonitorEvent indicating a redeployment request has been submitted

  Parameters:
    `source` - The source (originator) of the event
    `opStringName` - The name of the OperationalString
    `sElem` - The ServiceElement
    `instance` - The ServiceBeanInstance
    `args` - Parameters for a redeployment

Method Detail

### getAction

    public int getAction()

  Get the action attribute

  Returns:
    The action

### getOperationalStringName

    public String getOperationalStringName()

  Get the OperationalString name.

  Returns:
    The name of the OperationalString associated with this event

### getServiceElement

    public ServiceElement getServiceElement()

  Get the ServiceElement attribute

  Returns:
    The ServiceElement associated with this event. This property will be null if the action type is not SERVICE_ELEMENT_ADDED, SERVICE_ELEMENT_UPDATED, SERVICE_ELEMENT_REMOVED, SERVICE_PROVISIONED or SERVICE_FAILED. This property may be null if the action type is REDEPLOY_REQUEST

### getOperationalString

    public OperationalString getOperationalString()

  Get the OperationalString attribute.

  Returns:
    The OperationalString associated with this event. This property will be null if the action type is not OPSTRING_DEPLOYED or OPSTRING_UNDEPLOYED

### getServiceBeanInstance

    public ServiceBeanInstance getServiceBeanInstance()

  Get the ServiceBeanInstance

  Returns:
    The ServiceBeanInstance associated with this event. This property will be null if the action type is not SERVICE_BEAN_INSTANCE_UPDATED. This property may be null if the action type is REDEPLOY_REQUEST, SERVICE_PROVISIONED or SERVICE_FAILED

### getRedeploymentParms

    public Object[] getRedeploymentParms()

  Get the Redeployment parameters

  Returns:
    The Redeployment parameters associated with this event. The Object array will have as it's content {Date.class, Boolean.class, ServiceProvisionListener.class}. This property will be null if the action type is not REDEPLOY_REQUEST

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.